Subject: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Drew Adams <[email-masked]>
Date: Sat, 12 Mar 2016 08:25:23 -0800 (PST)

> 4. All of that said, I think that we really need to find
> some _other way than the prompt_ to indicate, completely,
> the search state.  And then the prompt can perhaps just be
> something like "Isearch" in all cases.  The prompt is not
> adequate for conveying just what the current search state is.

Something that I think should be available, starting now, is
an Isearch key binding that describes the current search state
_completely_, much as `C-u C-x =' describes the char at point.

This state information should be on prefix key `C-h'.  It
could be on a new key on that prefix or it could simply be
added to `isearch-describe-mode' - the key could be `C-h m'.